---
base_dir: "{{ inventory_dir }}/.."
oom_node_group: kube-node

datacenter_owner: Orange

gather_nodes_fact: true

kubernetes_docker_proxy: "docker.io"
kubernetes_minio_internal_installation: false
kubernetes_minio_internal_installation_use_ingress: true

onap_additional_components: []
onap_deployment_type: full
onap_etc_path: "{{ ansible_user_dir }}/onap/{{ onap_version }}"
onap_flavor: unlimited
onap_given_component_override_file: components-overrides.yml
onap_global_storage: true
onap_global_storage_class: '-'
# onap_global_storage_fast_class:
# onap_global_storage_rwx_class:
onap_path: "{{ ansible_user_dir }}/onap/oom"
onap_repository_principal: nexus3.onap.org:10001
onap_repository_docker_hub: docker.io
onap_repository_elastic: docker.elastic.co
onap_repository_k8s_google: k8s.gcr.io
onap_use_ingress: true
onap_use_metrics: true
onap_use_custom_resources_metrics: false
onap_version: master

openstack_user_name: default
openstack_tenant_name: default
openstack_service_tenant_name: service

docker_executable: docker
docker_run_as_root: false

##
# Used for gating
##

gerrit_project: oom
gerrit_review:
gerrit_patchset:

##
# Specific variables, not meant to be overrided
##

onap_override_components: "{{ onap_etc_path }}/onap-components.yml"
onap_override_file: "{{ onap_etc_path }}/onap-overrides.yml"

core_onap: "{{ (onap_deployment_type == 'core') }}"
small_onap: "{{ (onap_deployment_type == 'small') }}"
medium_onap: "{{ (onap_deployment_type == 'medium') }}"
full_onap: "{{ (onap_deployment_type == 'full') }}"

docker_crypto_image: sdesbure/so_crypto:latest

gerrit_external_projects:
  - so
  - clamp

component_enabled:
  appc: "{{ small_onap or medium_onap or ('appc' in additional_components) }}"
  clamp: "{{ medium_onap or ('clamp' in additional_components) }}"
  cli: "{{ small_onap or medium_onap or ('cli' in additional_components) }}"
  consul:
    "{{ small_onap or medium_onap or ('consul' in additional_components) }}"
  contrib: "{{ medium_onap or ('contrib' in additional_components) }}"
  dcaegen2: "{{ medium_onap or ('dcaegen2' in additional_components) }}"
  dcaemod: "{{ 'dcaemod' in additional_components }}"
  esr: "{{ small_onap or  medium_onap or ('esr' in additional_components) }}"
  log: "{{ small_onap or medium_onap or ('log' in additional_components) }}"
  msb: "{{ small_onap or medium_onap or ('msb' in additional_components) }}"
  multicloud:
    "{{ small_onap or medium_onap or ('multicloud' in additional_components) }}"
  nbi: "{{ small_onap or medium_onap or ('nbi' in additional_components) }}"
  oof: "{{ medium_onap or ('oof' in additional_components) }}"
  policy: "{{ medium_onap or ('policy' in additional_components) }}"
  pomba: "{{ medium_onap or ('pomba' in additional_components) }}"
  portal:
    "{{ small_onap or  medium_onap or ('portal' in additional_components) }}"
  sniro_emulator: "{{ 'sniro_emulator' in additional_components }}"
  uui: "{{ 'uui' in additional_components }}"
  vfc: "{{ 'vfc' in additional_components }}"
  vid: "{{ small_onap or  medium_onap or ('vid' in additional_components) }}"
  vnfsdk: "{{ 'vnfsdk' in additional_components }}"
  modeling: "{{ 'modeling' in additional_components }}"
  cds: "{{ small_onap or medium_onap or ('cds' in additional_components) }}"
